package com.iamberry.wechat.service.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedPosition;
import com.iamberry.wechat.face.customized.CustomizedPositionService;
import com.iamberry.wechat.service.mapper.CustomizedPositionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  牙刷定制--纹理头像文字位置接口
 * @author w
 * @Date 2018-05-25
 */
@Service
public class CustomizedPositionServiceImpl  implements CustomizedPositionService {
    @Autowired
    private CustomizedPositionMapper customizedPositionMapper;
    /**
     * 获取集合
     * @param  customizedPosition
     * @return List
     */
    @Override
    public  List<CustomizedPosition>  getCustomizedPositionList(CustomizedPosition  customizedPosition){
        return  customizedPositionMapper.getCustomizedPositionList(customizedPosition);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedPosition
     */
    @Override
    public  CustomizedPosition  getCustomizedPositionById(Integer  id){
        return  customizedPositionMapper.getCustomizedPositionById(id);
    }
    /**
     * 增加数据
     * @param  customizedPosition
     * @return Integer
     */
    @Override
    public  Integer  save(CustomizedPosition  customizedPosition){
        return  customizedPositionMapper.save(customizedPosition);
    }
    /**
     * 修改数据
     * @param  customizedPosition
     * @return Integer
     */
    @Override
    public  Integer  update(CustomizedPosition  customizedPosition){
        return  customizedPositionMapper.update(customizedPosition);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  customizedPositionMapper.delete(id);
    }
    /**
     * 增加数据 <集合>
     * @param  customizedPositionList
     * @return Integer
     */
    @Override
    public  Integer  saveList(List<CustomizedPosition> customizedPositionList){
        return  customizedPositionMapper.saveList(customizedPositionList);
    }
    /**
     * 删除数据 <集合>
     * @param  ids
     * @return Integer
     */
    @Override
    public  Integer  deleteList(Integer[]  ids){
        return  customizedPositionMapper.deleteList(ids);
    }
}